package pojo;

import java.sql.Time;
import java.sql.Timestamp;

public class ParkingRecord {
    int record_id;
    int spot_id;
    Timestamp start_time;
    Timestamp end_time;
    double parking_fee;
    String car_license;

    String location;
    public ParkingRecord(int record_id, int spot_id, Timestamp start_time, Timestamp end_time, double parking_fee, String car_license) {
        this.record_id = record_id;
        this.spot_id = spot_id;
        this.start_time = start_time;
        this.end_time = end_time;
        this.parking_fee = parking_fee;
        this.car_license = car_license;
    }
    public ParkingRecord(int record_id, int spot_id, Timestamp start_time, Timestamp end_time, double parking_fee, String car_license, String location) {
        this.record_id = record_id;
        this.spot_id = spot_id;
        this.start_time = start_time;
        this.end_time = end_time;
        this.parking_fee = parking_fee;
        this.car_license = car_license;
        this.location = location;
    }

    public ParkingRecord(int record_id, int spot_id, Timestamp start_time, double parking_fee, String car_license) {
        this.record_id = record_id;
        this.spot_id = spot_id;
        this.start_time = start_time;
        this.parking_fee = parking_fee;
        this.car_license = car_license;
    }

    public ParkingRecord(Timestamp start_time, String car_license) {
        this.start_time = start_time;
        this.car_license = car_license;
    }

    public int getRecord_id() {
        return record_id;
    }

    public void setRecord_id(int record_id) {
        this.record_id = record_id;
    }

    public int getSpot_id() {
        return spot_id;
    }

    public void setSpot_id(int spot_id) {
        this.spot_id = spot_id;
    }

    public Timestamp getStart_time() {
        return start_time;
    }

    public void setStart_time(Timestamp start_time) {
        this.start_time = start_time;
    }

    public Timestamp getEnd_time() {
        return end_time;
    }

    public void setEnd_time(Timestamp end_time) {
        this.end_time = end_time;
    }

    public double getParking_fee() {
        return parking_fee;
    }

    public void setParking_fee(double parking_fee) {
        this.parking_fee = parking_fee;
    }

    public String getCar_license() {
        return car_license;
    }

    public void setCar_license(String car_license) {
        this.car_license = car_license;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}




